summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCecil Hugh Watson <knoppmyth@gmail.com>2009-06-28 04:53:33 (GMT)
committerCecil Hugh Watson <knoppmyth@gmail.com>2009-06-28 04:53:33 (GMT)
commite11a33d937ce504987ad53c604800ebbf833e3b9 (patch)
treebe056a56818ebc32f033327ab908d97becf29ebb
parentee8706d41eba7efae8ee98c0c81e2b867e76e233 (diff)
downloadlinhes_pkgbuild-e11a33d937ce504987ad53c604800ebbf833e3b9.zip
linhes_pkgbuild-e11a33d937ce504987ad53c604800ebbf833e3b9.tar.gz
linhes_pkgbuild-e11a33d937ce504987ad53c604800ebbf833e3b9.tar.bz2
Initial inclusion of NTFS-3G.
-rw-r--r--abs/core-testing/ntfs-3g/20-ntfs-config-write-policy.fdi13
-rw-r--r--abs/core-testing/ntfs-3g/PKGBUILD30
2 files changed, 43 insertions, 0 deletions
diff --git a/abs/core-testing/ntfs-3g/20-ntfs-config-write-policy.fdi b/abs/core-testing/ntfs-3g/20-ntfs-config-write-policy.fdi
new file mode 100644
index 0000000..b0f5961
--- /dev/null
+++ b/abs/core-testing/ntfs-3g/20-ntfs-config-write-policy.fdi
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<deviceinfo version="0.2">
+ <device>
+ <match key="volume.fstype" string="ntfs">
+ <merge key="volume.fstype" type="string">ntfs-3g</merge>
+ <merge key="volume.policy.mount_filesystem" type="string">ntfs-3g</merge>
+ <append key="volume.mount.valid_options" type="strlist">locale=</append>
+ <append key="volume.mount.valid_options" type="strlist">dmask=</append>
+ <append key="volume.mount.valid_options" type="strlist">fmask=</append>
+ </match>
+ </device>
+</deviceinfo>
+
diff --git a/abs/core-testing/ntfs-3g/PKGBUILD b/abs/core-testing/ntfs-3g/PKGBUILD
new file mode 100644
index 0000000..738f131
--- /dev/null
+++ b/abs/core-testing/ntfs-3g/PKGBUILD
@@ -0,0 +1,30 @@
+# $Id: PKGBUILD 35598 2009-04-14 08:38:34Z ronald $
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Thomas Bächler <thomas.archlinux.org>
+
+pkgname=ntfs-3g
+pkgver=2009.4.4
+pkgrel=1
+pkgdesc="Stable read and write NTFS driver"
+url="http://www.ntfs-3g.org/"
+arch=('i686' 'x86_64')
+license=('GPL2')
+depends=('glibc')
+makedepends=('pkgconfig')
+options=('!libtool')
+source=(http://www.ntfs-3g.org/${pkgname}-${pkgver}.tgz
+ 20-ntfs-config-write-policy.fdi)
+md5sums=('e0b5c170f088a8d82968f0a6b34d31da'
+ 'ece35a9108837e2008e5a47f3390755e')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ # use internal fuse at least until fuse 2.8.0 is relased, it contains
+ # some bug & security fixes
+ ac_cv_path_LDCONFIG=/bin/true ./configure --prefix=/usr \
+ --with-fuse=internal || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ install -m755 -d "${pkgdir}/usr/share/hal/fdi/policy/10osvendor"
+ install -m644 "${srcdir}/20-ntfs-config-write-policy.fdi" "${pkgdir}/usr/share/hal/fdi/policy/10osvendor/" || return 1
+}